Loading...
Searching...
No Matches
QwtNullTransform Class Reference

Null transformation. More...

`#include <qwt_transform.h>`

Inheritance diagram for QwtNullTransform:

## Public Member Functions

| QwtNullTransform ()
| Constructor.
virtual | ~QwtNullTransform ()
| Destructor.
virtual double | transform (double value) const override
virtual double | invTransform (double value) const override
virtual QwtTransform * | copy () const override
Public Member Functions inherited from QwtTransform
| QwtTransform ()
| Constructor.
virtual | ~QwtTransform ()
| Destructor.
virtual double | bounded (double value) const

## Detailed Description

Null transformation.

QwtNullTransform returns the values unmodified.

Definition at line 80 of file qwt_transform.h.

## Constructor & Destructor Documentation

## QwtNullTransform()

QwtNullTransform::QwtNullTransform | ( |  | ) |

Constructor.

Definition at line 39 of file qwt_transform.cpp.

## ~QwtNullTransform()

QwtNullTransform::~QwtNullTransform | ( |  | ) |

virtual

Destructor.

Definition at line 45 of file qwt_transform.cpp.

## Member Function Documentation

## copy()

QwtTransform * QwtNullTransform::copy | ( |  | ) | const

override virtual

Returns
  Clone of the transformation

Implements QwtTransform.

Definition at line 68 of file qwt_transform.cpp.

## invTransform()

double QwtNullTransform::invTransform | ( | double | value | ) | const

override virtual

Parameters

  value | Value to be transformed

Returns
  value unmodified

Implements QwtTransform.

Definition at line 62 of file qwt_transform.cpp.

## transform()

double QwtNullTransform::transform | ( | double | value | ) | const

override virtual

Parameters

  value | Value to be transformed

Returns
  value unmodified

Implements QwtTransform.

Definition at line 53 of file qwt_transform.cpp.